Bug 967 - When xfs is restarted, X would not reconnect.
When xfs is restarted, X would not reconnect.
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1999-01-25 23:36 EST by Aleksey Nogin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-02 21:14:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 1999-01-25 23:36:37 EST
I have "tcp/some.host:7100" as the only element in my
FontPath. When the fontserver on "some.host" is restarted,
X  server starts behaving very badly - CPU utilization goes
to 100%, it would not allow any new application to start
(application would just freeze), etc. If I change the
FontPath (using xset fp ...) to something that does not
include tcp/some.host:7100 and back to "tcp/some.host:7100",
everything comes back to normal.

This was true for RH 5.0 and 5.1 and is still true for
Comment 1 David Lawrence 1999-03-18 11:24:59 EST
Exactly how did you restart your font server? You should not use
SIGHUP instead use SIGUSR1. See man page.
Comment 2 Aleksey Nogin 1999-03-18 12:06:59 EST
I restarted xfs by rebooting the computer it was running on.
Comment 3 Preston Brown 1999-03-22 16:01:59 EST
make sure xfs is enabled.  As root, do a 'chkconfig --add xfs'.  This
should solve your problems.
Comment 4 Preston Brown 1999-03-22 16:03:59 EST
Scratch that, I thought you were using 5.9 Beta.  You are still using
5.2.  We do not enable/configure/run xfs by default in Red Hat Linux
5.2 -- how are you starting it?  See the man page for configuration
information, it is most likely you have misconfigured the font
server.  We cannot locally duplicate the problem.
Comment 5 Aleksey Nogin 1999-03-22 16:10:59 EST
I think you misunderstood me. Xfs is restarted fine when computer is
rebooted, the problem is that X server still tries to use the old TCP
connection and does not try to open a new one util I explicitly tell
it to do so (using xset).

P.S. I start xfs from init. In /etc/inittab I have:

mojave|~>grep xfs /etc/inittab
xf:345:respawn:/usr/bin/X11/xfs -config /etc/X11/fs/config -port 7100
xc:345:respawn:/usr/bin/X11/xfs -config /etc/X11/fs/config-cyrfirst
-port 7200
Comment 6 Aleksey Nogin 1999-06-07 22:31:59 EDT
I wanted to add that this problem is 100% reproducable on several
different machines and that it is very annoying.
Comment 7 Preston Brown 1999-06-11 14:13:59 EDT
I need to get this straight:  Are you experiencing errors when you
already have X up and running and you "restart" the font server? i.e.
kill it and restart it, or kill -HUP it?  If this is the case, this is
a known deficiency in the font server, but there is a work-around.  If
you make changes to the config file and you want the server to pick up
on them, send it the SIGUSR1 signal, i.e. killall -USR1 xfs.

I'm not sure what you mean when you say 'old tcp connection'.  If you
reboot the machine, all sockets get recycled.  There shouldn't be any
'old tcp connections' lying around at all.
Comment 8 Aleksey Nogin 1999-06-11 15:04:59 EDT
Yes, I am referring to that "known deficiency in the font server" and
I am saying that your workaround is not enough for me.

I am running X and xfs on _different_ machines. In fact, a single xfs
serves several X servers on several different machines. When the xfs
computer is rebooted, all those X servers go in a really bad state.

My question is: if I can make X recover by hands (using xset), why can
not X be programmed to detect that xfs connection went away and
recover on its own?
Comment 9 Aleksey Nogin 2000-02-02 21:14:59 EST
This bug does not exist in RedHat 6.1 - when xfs is restarted, X now properly
Comment 10 Preston Brown 2000-02-03 11:47:59 EST

Note You need to log in before you can comment on or make changes to this bug.